Bug 1048540 - [abrt] gedit: process_item(): gedit killed by SIGABRT
Summary: [abrt] gedit: process_item(): gedit killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f119736e1b1ab9687215608473c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-04 23:10 UTC by Francisco de la Peña
Modified: 2015-12-12 15:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:11:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.90 KB, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: core_backtrace (19.20 KB, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: dso_list (13.23 KB, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: environ (2.94 KB, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: maps (64.98 KB, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: open_fds (1.27 KB, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: var_log_messages (185 bytes, text/plain)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
File: test.js (122.90 KB, application/octet-stream)
2014-01-04 23:10 UTC, Francisco de la Peña
no flags Details
Crashing document. (459.54 KB, application/octet-stream)
2014-07-11 18:05 UTC, Sylvain Petreolle
no flags Details

Description Francisco de la Peña 2014-01-04 23:10:04 UTC
Description of problem:
After loading a binary file accidentally.

Version-Release number of selected component:
gedit-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gedit test.js
crash_function: process_item
executable:     /usr/bin/gedit
kernel:         3.12.5-libre.302.fc20.gnu.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 process_item at pango-layout.c:3549
 #7 process_line at pango-layout.c:3704
 #8 pango_layout_check_lines at pango-layout.c:4027
 #9 pango_layout_get_extents_internal at pango-layout.c:2587
 #10 pango_layout_get_extents at pango-layout.c:2782
 #11 gtk_text_layout_get_line_display at gtktextlayout.c:2446
 #12 gtk_text_layout_real_wrap at gtktextlayout.c:1163
 #13 gtk_text_btree_node_validate at gtktextbtree.c:5103
 #17 _gtk_text_btree_validate at gtktextbtree.c:5255
 #18 gtk_text_layout_validate at gtktextlayout.c:1135

Potential duplicate: bug 982774

Comment 1 Francisco de la Peña 2014-01-04 23:10:09 UTC
Created attachment 845597 [details]
File: backtrace

Comment 2 Francisco de la Peña 2014-01-04 23:10:11 UTC
Created attachment 845598 [details]
File: cgroup

Comment 3 Francisco de la Peña 2014-01-04 23:10:13 UTC
Created attachment 845599 [details]
File: core_backtrace

Comment 4 Francisco de la Peña 2014-01-04 23:10:15 UTC
Created attachment 845600 [details]
File: dso_list

Comment 5 Francisco de la Peña 2014-01-04 23:10:16 UTC
Created attachment 845601 [details]
File: environ

Comment 6 Francisco de la Peña 2014-01-04 23:10:18 UTC
Created attachment 845602 [details]
File: limits

Comment 7 Francisco de la Peña 2014-01-04 23:10:20 UTC
Created attachment 845603 [details]
File: maps

Comment 8 Francisco de la Peña 2014-01-04 23:10:22 UTC
Created attachment 845604 [details]
File: open_fds

Comment 9 Francisco de la Peña 2014-01-04 23:10:23 UTC
Created attachment 845605 [details]
File: proc_pid_status

Comment 10 Francisco de la Peña 2014-01-04 23:10:25 UTC
Created attachment 845606 [details]
File: var_log_messages

Comment 11 Francisco de la Peña 2014-01-04 23:10:28 UTC
Created attachment 845607 [details]
File: test.js

Comment 12 4ligaya 2014-05-31 16:25:22 UTC
Trying to install VMware Player iso and went through the process with the bundle but after a little while it didn't work and came up with this error. 

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gedit '/run/media/root/WD 2 TB Hard Drive 2/VMware-Player-6.0.2-1744117.x86_64.bundle'
crash_function: process_item
executable:     /usr/bin/gedit
kernel:         3.11.10-301.fc20.x86_64
package:        gedit-3.10.2-1.fc20
reason:         Process /usr/bin/gedit was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            0

Comment 13 Michael Schwendt 2014-06-06 21:46:06 UTC
Another user experienced a similar problem:

Haven't tried to reproduce this. I double-clicked a large log file in Nautilus and exited/closed gedit already while it was loading that file.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gedit /home/ms20b/opentrep-indexer.log
crash_function: process_item
executable:     /usr/bin/gedit
kernel:         3.14.5-200.fc20.x86_64
package:        gedit-3.10.3-1.fc20
reason:         gedit killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Sylvain Petreolle 2014-07-11 18:03:24 UTC
Another user experienced a similar problem:

I opened the attached document.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gedit /home/syl/dwhelper/Meurtres_au_paradis_L_ange_gardien_-_S1_E5_vid_o_en_replay_E.f4f
crash_function: process_item
executable:     /usr/bin/gedit
kernel:         3.15.3-200.fc20.x86_64
package:        gedit-3.10.3-1.fc20
reason:         gedit killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            500

Comment 15 Sylvain Petreolle 2014-07-11 18:05:51 UTC
Created attachment 917407 [details]
Crashing document.

Comment 16 Alessandro Machado 2014-08-28 17:05:12 UTC
Another user experienced a similar problem:

Tentativa de instalar driver original da Nvidia 200 series

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gedit /home/alemachados/Downloads/NVIDIA-Linux-x86_64-340.32.run
crash_function: process_item
executable:     /usr/bin/gedit
kernel:         3.15.10-200.fc20.x86_64
package:        gedit-3.10.4-1.fc20
reason:         gedit killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Fedora End Of Life 2015-05-29 10:20:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-06-29 14:11:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.